CXX=ccache g++

CCFLAGS=-g -Wall -Wno-write-strings -fno-strict-aliasing -I$(ROOT)/include
LDFLAGS=

PY_CCFLAGS=$(shell python-config --includes)
PY_LDFLAGS=$(shell python-config --libs)

SDL_CCFLAGS=$(shell sdl-config --cflags)
SDL_LDFLAGS=$(shell sdl-config --libs)

ifeq ($(OS), Windows_NT)
  CCFLAGS+=-DPTHREADS
  LDFLAGS+=-lpthreadGC2
  PY_CCFLAGS=-I"C:\Program Files\Python25\include"
  PY_LDFLAGS=-L"C:\Program Files\Python25\libs" -lpython25
  MODULENAME=raytracer.pyd
else
  CCFLAGS+=-pthread -DPTHREADS -fPIC
  LDFLAGS+=-pthread
  MODULENAME=raytracermodule.so
endif

# optimizations
CCFLAGS+=-O3 -pipe -ffast-math -msse3
